import request from '@/utils/request'

export function listWarehousing(query) {
  return request({
    url: '/warehouse-entry/page',
    method: 'get',
    params: query
  })
}

export function executeWarehousing(query) {
  return request({
    url: '/warehouse-entry/execute',
    method: 'post',
    params: query
  })
}

export function createWarehousing(data) {
  return request({
    url: '/warehouse-entry/add',
    method: 'post',
    data
  })
}

export function readWarehousing(query) {
  return request({
    url: '/warehouse-entry/info',
    method: 'get',
    params: query
  })
}

export function updateWarehousing(data) {
  return request({
    url: '/warehouse-entry/edit',
    method: 'post',
    data
  })
}

export function deleteWarehousing(query) {
  return request({
    url: '/warehouse-entry/remove',
    method: 'post',
    params: query
  })
}

export function cancelWarehousing(query) {
  return request({
    url: '/warehouse-entry/cancel',
    method: 'post',
    params: query
  })
}
